Subject: Re: [PATCH 2/2] acpi: Disable IRQ 0 through I/O APIC for some HP systems

From: "Rafael J. Wysocki" <[email-masked]>
Date: Mon, 7 Jul 2008 14:23:47 +0200

On Monday, 7 of July 2008, Maciej W. Rozycki wrote:
> On Mon, 7 Jul 2008, Ingo Molnar wrote:
> 
> > > Please note two things:
> > > (1) The whole acpi_dmi_table[] thing originally depended on __i386__, so it
> > >     wouldn't work on x86-64 no matter what.  I removed that dependecy, but
> > >     I have no idea why it was there and so I'm not sure if that's correct. 
> 
>  Well spottedd -- perhaps the x86-64 was though to be perfect. ;)
> 
> > > (2) The clear_IO_APIC_pin(apic1, pin1) done if 
> > >     disable_irq0_through_ioapic is true is absolutely essential.  The 
> > >     symptoms are 100% reproducible without it.
> > 
> > thanks, applied to tip/x86, to give this some more testing.
> > 
> > the clear_IO_APIC_pin() is the most worrisome aspect of the change - but 
> > since we are already in limited quirk mode, does it hurt? Maciej, any 
> > preferences?
> 
>  It makes absolutely no sense and should be harmful to call
> clear_IO_APIC_pin(apic1, pin1) here, because both apic1 and pin1 should be
> equal to -1 here.  If it has to be called, then I suppose the DMI matching 
> did not work and the workaround has not been enabled.

Do you realize that the clear_IO_APIC_pin(apic1, pin1) thing is _only_ called
_IF_ the DMI matching did work?

>  Rafael, can you please provide a full bootstrap log obtained with all the
> changes, but *without* this part?

I assume you want the boot log with the ACPI debugging messages enabled?
That'll have to wait until I get back home.

> Also, can you please verify DMI IDs of your system (dmidecode or
> /sys/class/dmi, I am told)? 

See above.

Thanks,
Rafael